Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.protocol.http.sampler
Class SoapSampler

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.samplers.AbstractSampler
              org.apache.jmeter.protocol.http.sampler.HTTPSamplerBase
                  org.apache.jmeter.protocol.http.sampler.HTTPSampler2
                      org.apache.jmeter.protocol.http.sampler.SoapSampler

All Implemented Interfaces:
  Cloneable, HTTPConstantsInterface, Interruptible, Sampler, Serializable, TestElement, TestListener, ThreadListener

public class SoapSampler
extends HTTPSampler2
implements Interruptible

Commons HTTPClient based soap sampler

See Also:
  Serialized Form

Field Summary
`static String` | `SEND_SOAP_ACTION`
`static String` | `SOAP_ACTION`
`static String` | `URL_DATA`
`static String` | `XML_DATA`
`static String` | `XML_DATA_FILE`

Fields inherited from class org.apache.jmeter.protocol.http.sampler.HTTPSampler2
`savedClient`

Fields inherited from class org.apache.jmeter.protocol.http.sampler.HTTPSamplerBase
`ARGUMENTS, AUTH_MANAGER, AUTO_REDIRECTS, CACHE_MANAGER, CLIENT, CONNECT_TIMEOUT, CONTENT_ENCODING, CONTENT_TYPE, COOKIE_MANAGER, DEFAULT_METHOD, DO_MULTIPART_POST, DOMAIN, EMBEDDED_URL_RE, FOLLOW_REDIRECTS, HEADER_MANAGER, IMAGE_PARSER, IMPLEMENTATION, MAX_FRAME_DEPTH, MAX_REDIRECTS, METHOD, MONITOR, NON_HTTP_RESPONSE_CODE, NON_HTTP_RESPONSE_MESSAGE, PATH, PORT, PROTOCOL, RESPONSE_TIMEOUT, UNSPECIFIED_PORT, UNSPECIFIED_PORT_AS_STRING, URL, URL_UNSPECIFIED_PORT, URL_UNSPECIFIED_PORT_AS_STRING, USE_KEEPALIVE`

Fields inherited from interface org.apache.jmeter.protocol.http.util.HTTPConstantsInterface
`APPLICATION_X_WWW_FORM_URLENCODED, CONNECTION_CLOSE, DEFAULT_HTTP_PORT, DEFAULT_HTTP_PORT_STRING, DEFAULT_HTTPS_PORT, DEFAULT_HTTPS_PORT_STRING, DELETE, ENCODING_GZIP, ETAG, GET, HEAD, HEADER_AUTHORIZATION, HEADER_CONNECTION, HEADER_CONTENT_DISPOSITION, HEADER_CONTENT_ENCODING, HEADER_CONTENT_LENGTH, HEADER_CONTENT_TYPE, HEADER_COOKIE, HEADER_LOCATION, HEADER_SET_COOKIE, HTTP_1_1, IF_MODIFIED_SINCE, IF_NONE_MATCH, KEEP_ALIVE, LAST_MODIFIED, MULTIPART_FORM_DATA, OPTIONS, POST, PROTOCOL_HTTP, PROTOCOL_HTTPS, PUT, TRACE, TRANSFER_ENCODING`

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`SoapSampler()`

Method Summary
`boolean` | `getSendSOAPAction()`
`String` | `getSOAPAction()`
`String` | `getSOAPActionQuoted()`
`URL` | `getUrl()` Get the URL, built from its component parts.
`String` | `getURLData()`
`String` | `getXmlData()`
`String` | `getXmlFile()` Get the file location of the xml file.
`protected HTTPSampleResult` | `sample(URL url, String method, boolean areFollowingRedirect, int frameDepth)` Samples the URL passed in and stores the result in `HTTPSampleResult`, following redirects and downloading page resources as appropriate.
`protected int` | `setPostHeaders(org.apache.commons.httpclient.methods.PostMethod post)`
`void` | `setSendSOAPAction(boolean action)`
`void` | `setSOAPAction(String action)`
`void` | `setURLData(String url)`
`void` | `setXmlData(String data)`
`void` | `setXmlFile(String filename)` it's kinda obvious, but we state it anyways.

Methods inherited from class org.apache.jmeter.protocol.http.sampler.HTTPSampler2
`getConnectionHeaders, getResponseHeaders, interrupt, saveConnectionCookies, setDefaultRequestHeaders, setupConnection, threadFinished, threadStarted`

Methods inherited from class org.apache.jmeter.protocol.http.sampler.HTTPSamplerBase
`addArgument, addArgument, addEncodedArgument, addEncodedArgument, addEncodedArgument, addNonEncodedArgument, addTestElement, clone, downloadPageResources, encodeBackSlashes, encodeSpaces, errorResult, followRedirects, getArguments, getAuthManager, getAutoRedirects, getCacheManager, getClient, getConnectTimeout, getContentEncoding, getCookieManager, getDefaultPort, getDomain, getDoMultipartPost, getEmbeddedUrlRE, getFileField, getFilename, getFollowRedirects, getHeaderManager, getHTTPFileCount, getHTTPFiles, getImplementation, getMethod, getMimetype, getMonitor, getPath, getPort, getPortIfSpecified, getProtocol, getQueryString, getQueryString, getResponseTimeout, getSendFileAsPostBody, getSendParameterValuesAsPostBody, getUseKeepAlive, getUseMultipartForPost, getValidMethodsAsArray, hasArguments, isImageParser, isMonitor, isProtocolDefaultPort, isSecure, isSecure, isSuccessCode, parseArguments, parseArguments, readResponse, resultProcessing, sample, sample, setArguments, setAuthManager, setAutoRedirects, setCacheManager, setClient, setConnectTimeout, setContentEncoding, setCookieManager, setDomain, setDoMultipartPost, setEmbeddedUrlRE, setFileField, setFilename, setFollowRedirects, setHeaderManager, setHTTPFiles, setImageParser, setImplementation, setMD5, setMethod, setMimetype, setMonitor, setMonitor, setPath, setPath, setPort, setProtocol, setResponseTimeout, setUseKeepAlive, testEnded, testEnded, testIterationStart, testStarted, testStarted, toString, useMD5`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement
`addProperty, canRemove, clear, clearTemporary, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.jmeter.samplers.Interruptible
`interrupt`

Methods inherited from interface org.apache.jmeter.testelement.TestElement
`canRemove, clear, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, isEnabled, isRunningVersion, isTemporary, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse`

Field Detail

### XML_DATA

    public static final String XML_DATA

See Also:
  Constant Field Values

### URL_DATA

    public static final String URL_DATA

See Also:
  Constant Field Values

### SOAP_ACTION

    public static final String SOAP_ACTION

See Also:
  Constant Field Values

### SEND_SOAP_ACTION

    public static final String SEND_SOAP_ACTION

See Also:
  Constant Field Values

### XML_DATA_FILE

    public static final String XML_DATA_FILE

See Also:
  Constant Field Values

Constructor Detail

### SoapSampler

    public SoapSampler()

Method Detail

### setXmlData

    public void setXmlData(String data)

### getXmlData

    public String getXmlData()

### setXmlFile

    public void setXmlFile(String filename)

  it's kinda obvious, but we state it anyways. Set the xml file with a string path.

  Parameters:
    `filename` -

### getXmlFile

    public String getXmlFile()

  Get the file location of the xml file.

  Returns:
    String file path.

### getURLData

    public String getURLData()

### setURLData

    public void setURLData(String url)

### getSOAPAction

    public String getSOAPAction()

### getSOAPActionQuoted

    public String getSOAPActionQuoted()

### setSOAPAction

    public void setSOAPAction(String action)

### getSendSOAPAction

    public boolean getSendSOAPAction()

### setSendSOAPAction

    public void setSendSOAPAction(boolean action)

### setPostHeaders

    protected int setPostHeaders(org.apache.commons.httpclient.methods.PostMethod post)

### sample

    protected HTTPSampleResult sample(URL url,
                                      String method,
                                      boolean areFollowingRedirect,
                                      int frameDepth)

  Description copied from class: `HTTPSampler2`
  Samples the URL passed in and stores the result in `HTTPSampleResult`, following redirects and downloading page resources as appropriate.

  When getting a redirect target, redirects are not followed and resources are not downloaded. The caller will take care of this.

  Overrides:
    `sample` in class `HTTPSampler2`
  Parameters:
    `url` - URL to sample
    `method` - HTTP method: GET, POST,...
    `areFollowingRedirect` - whether we're getting a redirect target
    `frameDepth` - Depth of this target in the frame structure. Used only to prevent infinite recursion.
  Returns:
    results of the sampling

### getUrl

    public URL getUrl()
               throws MalformedURLException

  Description copied from class: `HTTPSamplerBase`
  Get the URL, built from its component parts.

  As a special case, if the path starts with "http[s]://", then the path is assumed to be the entire URL.

  Overrides:
    `getUrl` in class `HTTPSamplerBase`
  Returns:
    The URL to be requested by this sampler.
  Throws:
    `MalformedURLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.